Problem Installing cca on mscrm 4

Feb 16, 2011 at 9:06 AM

Hi,

I'm having problem installing CCA1, we have MSCRM4 RU9 installed on Win2008 32 bit,

i download the source code and when i try to compile and build the source code i get an error telling me that uii dll's is missing , so i tried to install the CRMv4.0-UII-i386-1033 on the server and then i get error that i need to install gaxp1409.exe ' so i download it and when i try to install it i get error that saying that :

[Window Title]
Windows Installer

[Main Instruction]
The upgrade patch cannot be installed by the Windows Installer service because the program to be upgraded may be missing, or the upgrade patch may update a different version of the program. Verify that the program to be upgraded exists on your computer and that you have the correct upgrade patch.

[OK]

 I geuss the error is related to window server 2008 and the  gaxp1409.exe is only for win2003, so i try to install GAX2010.vsix for vs 2010 on the server but the CRMv4.0-UII-i386-1033 is not support vs 2010.

 

any ideas ?

 

thanks

Itsik

Feb 16, 2011 at 4:47 PM
The issue is coming from the hat module in the uii installer.
If you do not need hat you can exclude it from the install.

If you want to use hat, then you need to install uii on a client PC (w7 or the like) and use vs2008.

CcaR2 Will support vs2010

Sent from my Windows Phone

From: mreizik
Sent: Wednesday, February 16, 2011 4:06 AM
To: mattb-msft@hotmail.com
Subject: Problem Installing cca on mscrm 4 [crmcca:246238]



> From: mreizik
>
> Hi,I'm having problem installing CCA1, we have MSCRM4 RU9 installed on Win2008 32 bit,i download the source code and when i try to compile and build the source code i get an error telling me that uii dll's is missing , so i tried to install the CRMv4.0-UII-i386-1033 on the server and then i get error that i need to install gaxp1409.exe ' so i download it and when i try to install it i get error that saying that :[Window Title]
> Windows Installer[Main Instruction]
> The upgrade patch cannot be installed by the Windows Installer service because the program to be upgraded may be missing, or the upgrade patch may update a different version of the program. Verify that the program to be upgraded exists on your computer and that you have the correct upgrade patch.[OK] I geuss the error is related to window server 2008 and the gaxp1409.exe is only for win2003, so i try to install GAX2010.vsix for vs 2010 on the server but the CRMv4.0-UII-i386-1033 is not support vs 2010. any ideas ? thanksItsik
>
>
Feb 20, 2011 at 9:09 AM

Thanks, what about language support can i install it against CRM hebrew version ?

 

Best regars

Itsik

Feb 24, 2011 at 1:02 AM

It should work fine. however, to my knowledge, CCA is not tested against all core language versions of CRM. You would also need to create your own localization files for it for the CRM assets.

Mattb-msft.